%define	module	File-Scan
%define	name	perl-%{module}
%define	version	1.43
%define	release	%mkrel 2

Summary:	Perl extension for Scanning files for Viruses
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/File-Scan/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Buildrequires:	perl-devel
Buildarch:	noarch

%description
The File::Scan module is designed to allow users to scan files for known
viruses. Its purpose is to provide a perl module to make platform
independent virus scanners.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc docs/write_sign_bin.txt
%doc examples/*
%doc FAQ README Changes TODO
%dir %{perl_vendorlib}/File
%{perl_vendorlib}/File/*
%{_mandir}/*/*



%changelog
* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.43-2mdv2008.1
+ Revision: 171025
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Aug 20 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.43-1mdv2008.0
+ Revision: 67614
- use %%mkrel


* Thu Jun 30 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.43-1mdk
- 1.43

* Tue Mar 08 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.42-1mdk
- 1.42

* Wed Jan 05 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.39-1mdk
- 1.39

* Wed Nov 24 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.38-1mdk
- 1.38

* Mon Oct 11 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.32-1mdk
- 1.32

* Mon Aug 23 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.27-1mdk
- 1.27

* Wed Jul 28 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.26-1mdk
- 1.26

* Thu Jul 22 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.25-1mdk
- 1.25

* Mon Jul 12 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.22-1mdk
- 1.22

* Tue Jul 06 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.21-1mdk
- 1.21
- bundle doc and examples in the rpm

* Tue Jun 29 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.19-1mdk
- 1.19

* Sat Jun 19 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.17-1mdk
- 1.17
- drop redundant perl requires

* Wed Jun 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.15-1mdk
- 1.15

* Mon Aug 25 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.63-1mdk
- initial contrib import. this module is needed for amavis-ng.

